Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

eZ\Publish\Core\MVC\Symfony\Controller\Content\DownloadRedirectionController Member List

This is the complete list of members for eZ\Publish\Core\MVC\Symfony\Controller\Content\DownloadRedirectionController, including all inherited members.

$contentService | eZ\Publish\Core\MVC\Symfony\Controller\Content\DownloadRedirectionController | private
$router | eZ\Publish\Core\MVC\Symfony\Controller\Content\DownloadRedirectionController | private
$routeReferenceGenerator | eZ\Publish\Core\MVC\Symfony\Controller\Content\DownloadRedirectionController | private
__construct(ContentService $contentService, RouterInterface $router, RouteReferenceGenerator $routeReferenceGenerator) | eZ\Publish\Core\MVC\Symfony\Controller\Content\DownloadRedirectionController |
findFieldInContent($fieldId, Content $content) | eZ\Publish\Core\MVC\Symfony\Controller\Content\DownloadRedirectionController | protected
getConfigResolver() | eZ\Publish\Core\MVC\Symfony\Controller\Controller |
getEventDispatcher() | eZ\Publish\Core\MVC\Symfony\Controller\Controller |
getLogger() | eZ\Publish\Core\MVC\Symfony\Controller\Controller |
getParameter($parameterName, $defaultValue=null) | eZ\Publish\Core\MVC\Symfony\Controller\Controller |
getRepository() | eZ\Publish\Core\MVC\Symfony\Controller\Controller |
getRequest() | eZ\Publish\Core\MVC\Symfony\Controller\Controller |
getTemplateEngine() | eZ\Publish\Core\MVC\Symfony\Controller\Controller |
hasParameter($parameterName) | eZ\Publish\Core\MVC\Symfony\Controller\Controller |
isGranted(AuthorizationAttribute $attribute) | eZ\Publish\Core\MVC\Symfony\Controller\Controller |
redirectToContentDownloadAction($contentId, $fieldId, Request $request) | eZ\Publish\Core\MVC\Symfony\Controller\Content\DownloadRedirectionController |
render($view, array $parameters=[], Response $response=null) | eZ\Publish\Core\MVC\Symfony\Controller\Controller |

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.